> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/workflows/list-all-workflow-runs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all Workflow Runs GET https://api.withpersona.com/api/v1/workflow-runs Returns a list of your environment's workflow runs. Results are returned in reverse chronological order, with the most recently created objects first. Reference: https://docs.withpersona.com/api-reference/workflows/list-all-workflow-runs ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (WorkflowRunsGetParametersPage, optional) - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. - `filter` (WorkflowRunsGetParametersFilter, optional) ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a Workflow Run object. - `data` (list of workflow-run, required) — An array of Workflow Runs - `links` (WorkflowRunsGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of WorkflowRunsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of WorkflowRunsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of WorkflowRunsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of WorkflowRunsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### WorkflowRunsGetParametersPage - `after` (string, optional) — Object ID for pagination cursor - `before` (string, optional) — Object ID for pagination cursor - `size` (double, optional) — Limit on the number of objects returned ### WorkflowRunsGetParametersFilter - `status` (string, optional) — Filter workflow runs by workflow id ### workflow-run A Workflow Run object - `id` (string, optional) - `attributes` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunAttributes, optional) - `relationships` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationships, optional) - `meta` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunMeta, optional) ### WorkflowRunsGetResponsesContentApplicationJsonSchemaLinks - `next` (string, required, nullable) - `prev` (string, required, nullable) ### WorkflowRunsGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunAttributes - `completed-at` (datetime, optional, nullable) - `created-at` (datetime, optional) - `status` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationships - `creator` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsCreator, optional) - `workflow` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsWorkflow, optional) - `workflow-version` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsWorkflowVersion, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunMeta - `processing-time-seconds` (double, optional, nullable) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsCreator - `data` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsCreatorData, optional, nullable) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsWorkflow - `data` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsWorkflowData, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsWorkflowVersion - `data` (InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsWorkflowVersionData, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsCreatorData ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsWorkflowData - `type` ("workflow", optional) - `id` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsWorkflowVersionData - `type` ("workflow-version", optional) - `id` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsCreatorData0 - `type` ("administrator", optional) - `id` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsCreatorData1 - `type` ("user", optional) - `id` (string, optional) ### InquiryIncludedObjectsItemsDiscriminatorMappingWorkflowRunRelationshipsCreatorData2 - `type` ("event", optional) - `id` (string, optional) ## Examples **Response** ```json { "data": [ { "id": "wfr_3JqAR9ddLRVZLK5z4yD8oeHB", "attributes": { "completed-at": null, "created-at": "2022-08-08T18:55:44.910Z", "status": "in_progress" }, "relationships": { "creator": { "data": null }, "workflow": { "data": { "type": "workflow", "id": "wfl_3VghhbvDc7UuUNT8uZrqZjsk" } }, "workflow-version": { "data": { "type": "workflow-version", "id": "wfv_DkWeGvK9wojQnubF8ABHzJRQ" } } }, "type": "workflow-run" }, { "id": "wfr_3JqAR9ddLRVZLK5z4yD8oeHB", "attributes": { "completed-at": null, "created-at": "2022-08-08T18:55:44.910Z", "status": "in_progress" }, "relationships": { "creator": { "data": null }, "workflow": { "data": { "type": "workflow", "id": "wfl_3VghhbvDc7UuUNT8uZrqZjsk" } }, "workflow-version": { "data": { "type": "workflow-version", "id": "wfv_DkWeGvK9wojQnubF8ABHzJRQ" } } }, "type": "workflow-run" } ], "links": { "next": null, "prev": null } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/workflow-runs" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/workflow-runs'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/workflow-runs" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/workflow-runs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/workflow-runs") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/workflow-runs', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/workflow-runs"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/workflow-runs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```